using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.BusinessLogicsContracts
{
	public interface IMedicineLogic
	{
		List<MedicineViewModel>? ReadList(MedicineSearchModel? model);
		MedicineViewModel? ReadElement(MedicineSearchModel model);
		bool Create(MedicineBindingModel model);
		bool Update(MedicineBindingModel model);
		bool Delete(MedicineBindingModel model);
	}
}
